Last Comment Bug 697144 - Unable to interact with aboutCertError
: Unable to interact with aboutCertError
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 09:09 PDT by Aaron Train [:aaronmt]
Modified: 2012-01-09 12:10 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
patch (5.60 KB, patch)
2011-10-27 06:09 PDT, Mark Finkle (:mfinkle) (use needinfo?)
mbrubeck: review+
Details | Diff | Review

Description Aaron Train [:aaronmt] 2011-10-25 09:09:21 PDT
STR: 

1. https://jal.jp
2. Tap any of the <xul:buttons>

<xul:buttons> -> android.widget.Button
 
--
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111025 Firefox/10.0a1 Fennec/10.0a1
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 09:40:07 PDT
(In reply to Aaron Train [:aaronmt] from comment #0)

> <xul:buttons> -> android.widget.Button

Nope. We just need to port the code over to allow the about:certerror page to work
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-27 06:09:43 PDT
Created attachment 569945 [details] [diff] [review]
patch

This patch adds the required code to handle "clicking" in about error pages. Sane code used in XUL Fennec (minus the e10s) and desktop Firefox.

The patch also removes the nagging "error" about not finding the Private Browsing service. Seeing an "error" in logcat only adds to testing confusion.
Comment 3 Matt Brubeck (:mbrubeck) 2011-10-27 14:34:23 PDT
Comment on attachment 569945 [details] [diff] [review]
patch

This feels like a hack, but I see it's a hack we inherited from desktop Firefox long ago.  I don't have any better suggestions, so whatever.   :)
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-27 21:56:28 PDT
https://hg.mozilla.org/projects/birch/rev/9fe52ea2201f
Comment 5 Aaron Train [:aaronmt] 2011-10-28 06:24:30 PDT
20111028040427
http://hg.mozilla.org/projects/birch/rev/cdb0a41ea68c

Note You need to log in before you can comment on or make changes to this bug.